(*
 This signature provides some procedures which are needed in
 the LambdaCube

 author: Christian Mueller
*)

local
    open AbstractSyntax
in

datatype mixture = Str of string | E of Exp (* for better error reporting *)

val shift  : int -> int -> Exp -> Exp
val subst  : int -> Exp -> int -> Exp -> Exp
val occurs : Exp -> int -> bool

end