(*
 Signature for the Toplevel
 
 author: Christian Mueller
*)

local
    open AbstractSyntax Environment
    type parser = BasicIO.instream -> Command list
in
    val executeCommandList : env  -> Command list -> env
    val setMode            : mode -> unit
    val setSub             : bool -> unit
    val errorhandler       : env -> exn  -> unit
    val run                : env  -> parser -> unit
end

