(* -*-sml-*- *)

(* --------------------------------------------------------------
 * This file contains some test cases for the interpreter
 * in "untyped" mode. There is no type checking at all
 * for expressions.
 *
 * author: Christian Mueller
 * -------------------------------------------------------------*)     

(* 1. self application *)

rdef Fix = \f. (\x.\y.f (x x) y) (\x.\y.f (x x) y)

rdef fac = Fix (\f.\x.if x<<1 then 1 else x**f(x-1))

rdef result_1 = fac 4

(* 2. you can simply build stuck terms *)

rdef result_2 = 2**3 + unit true

(* 3. untyped if *)

rdef result_3 = if true then 1 else true
